Package org.springframework.security.web.authentication.logout

# Interface LogoutHandler

All Known Implementing Classes:
  `AbstractRememberMeServices`, `CompositeLogoutHandler`, `CookieClearingLogoutHandler`, `CsrfLogoutHandler`, `HeaderWriterLogoutHandler`, `LogoutSuccessEventPublishingLogoutHandler`, `PersistentTokenBasedRememberMeServices`, `SecurityContextLogoutHandler`, `TokenBasedRememberMeServices`

public interface LogoutHandler
Indicates a class that is able to participate in logout handling.

Called by `LogoutFilter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`logout(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`
Causes a logout to be completed.

## Method Details

### logout

void logout(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)
Causes a logout to be completed. The method must complete successfully.

Parameters:
  `request` - the HTTP request
  `response` - the HTTP response
  `authentication` - the current principal details